curl --request GET \
--url https://api.us.lexful.app/v1/entity_types/{entityTypeId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <api-key>'{
"id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"account_id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"name": "system.contact",
"display_name": "Contacts",
"description": "Contacts are people and identities associated with an organization",
"is_system": true,
"properties": [
{
"name": "first_name",
"type": "string",
"display_name": "First Name",
"required": false
},
{
"name": "last_name",
"type": "string",
"display_name": "Last Name",
"required": false
},
{
"name": "title",
"type": "string",
"display_name": "Title",
"required": false
},
{
"name": "important",
"type": "boolean",
"display_name": "Important",
"required": true
},
{
"name": "contact_type",
"type": "string",
"display_name": "Contact Type",
"required": false,
"enum": [
"Approver",
"Champion",
"Decision Maker",
"End User",
"Evaluator",
"Influencer",
"Owner",
"Other"
]
},
{
"name": "contact_methods",
"type": "array",
"display_name": "Contact Methods",
"required": false,
"array": {
"type": "object",
"properties": [
{
"name": "type",
"type": "string",
"display_name": "Contact Method Type",
"required": true,
"enum": [
"Phone",
"Fax",
"Mobile",
"Email",
"Website",
"Twitter",
"LinkedIn",
"Other"
]
},
{
"name": "value",
"type": "string",
"display_name": "Contact Method Value",
"required": true
}
]
}
},
{
"name": "preferred_contact_method",
"type": "string",
"display_name": "Preferred Contact Method",
"required": false,
"enum": [
"Phone",
"Fax",
"Mobile",
"Email",
"Website",
"Twitter",
"LinkedIn",
"Other"
]
},
{
"name": "notes",
"type": "richtext",
"display_name": "Notes",
"required": false
}
],
"references": [
{
"name": "location",
"display_name": "Location",
"required": false,
"multiple": false,
"target_entity_types": [
"system.location"
]
}
],
"version": 1,
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-15T10:30:00.000Z",
"created_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"updated_by": "019983a9-c4c0-73af-aec9-463feeadc2e7"
}Get a specific entity type by ID
curl --request GET \
--url https://api.us.lexful.app/v1/entity_types/{entityTypeId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <api-key>'{
"id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"account_id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"name": "system.contact",
"display_name": "Contacts",
"description": "Contacts are people and identities associated with an organization",
"is_system": true,
"properties": [
{
"name": "first_name",
"type": "string",
"display_name": "First Name",
"required": false
},
{
"name": "last_name",
"type": "string",
"display_name": "Last Name",
"required": false
},
{
"name": "title",
"type": "string",
"display_name": "Title",
"required": false
},
{
"name": "important",
"type": "boolean",
"display_name": "Important",
"required": true
},
{
"name": "contact_type",
"type": "string",
"display_name": "Contact Type",
"required": false,
"enum": [
"Approver",
"Champion",
"Decision Maker",
"End User",
"Evaluator",
"Influencer",
"Owner",
"Other"
]
},
{
"name": "contact_methods",
"type": "array",
"display_name": "Contact Methods",
"required": false,
"array": {
"type": "object",
"properties": [
{
"name": "type",
"type": "string",
"display_name": "Contact Method Type",
"required": true,
"enum": [
"Phone",
"Fax",
"Mobile",
"Email",
"Website",
"Twitter",
"LinkedIn",
"Other"
]
},
{
"name": "value",
"type": "string",
"display_name": "Contact Method Value",
"required": true
}
]
}
},
{
"name": "preferred_contact_method",
"type": "string",
"display_name": "Preferred Contact Method",
"required": false,
"enum": [
"Phone",
"Fax",
"Mobile",
"Email",
"Website",
"Twitter",
"LinkedIn",
"Other"
]
},
{
"name": "notes",
"type": "richtext",
"display_name": "Notes",
"required": false
}
],
"references": [
{
"name": "location",
"display_name": "Location",
"required": false,
"multiple": false,
"target_entity_types": [
"system.location"
]
}
],
"version": 1,
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-15T10:30:00.000Z",
"created_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"updated_by": "019983a9-c4c0-73af-aec9-463feeadc2e7"
}Bearer token
Account ID
Entity type ID
Default Response
Entity type unique identifier
Entity type name (unique, used in URLs)
Display name for UI
Whether this is a system entity type
Entity type properties
Show child attributes
Entity type version
Account ID
Entity type description
Entity type references
Show child attributes
UI configuration
Creation timestamp
Last update timestamp
User ID who created
User ID who last updated
Was this page helpful?